
package de.ivu.elect.presentation.entschaedigung.menu;

import javax.inject.Inject;

import de.ivu.elect.business.entschaedigung.boundary.AuszahlungConversationSelect;
import de.ivu.elect.business.entschaedigung.entity.Auszahlung;

public abstract class AbstractEntschaedigungInAuszahlungMenuItemEntry extends AbstractEntschaedigungMenuItemEntry {

  private static final long serialVersionUID = 1L;

  @Inject
  private transient AuszahlungConversationSelect auszahlungConversationSelect;

  public AbstractEntschaedigungInAuszahlungMenuItemEntry() {
    super();
  }

  @Override
  public boolean isRendered() {
    return super.isRendered() && isAuszahlungSelected();
  }

  protected boolean isAuszahlungSelected() {
    return auszahlungConversationSelect.isSelected();
  }

  protected boolean isAuszahlungSelectedBearbeitbar() {
    return isAuszahlungSelected() && getSelectedAuszahlung().isBearbeitbar();
  }

  protected Auszahlung getSelectedAuszahlung() {
    return auszahlungConversationSelect.getEntity();
  }
}
